OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-RC2

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - m -

- m : Blitter_32bppSimple::Pixel, SpriteLoader::CommonPixel
- m1 : Tile::TileBase
- m2 : Tile::TileBase
- m3 : Tile::TileBase
- m4 : Tile::TileBase
- m5 : Tile::TileBase
- m6 : Tile::TileExtended
- m7 : Tile::TileExtended
- m8 : Tile::TileExtended
- m_cur_struct : DumpTarget
- m_indent : DumpTarget
- m_known_names : DumpTarget
- m_out : DumpTarget
- m_value : OverflowSafeInt< T >
- magic_bulldozer : Cheats
- mail_capacity : AircraftVehicleInfo, RefitResult, TestedEngineDetails
- mail_generation : HouseSpec
- main_script : ScriptInfo, ScriptScanner
- main_wnd : VideoDriver_Win32Base
- maintenance_cost : AirportSpec
- maintenance_multiplier : RailTypeInfo, RoadTypeInfo
- make_square_red : TileHighlightData
- manually : NetworkGame
- manually_changed_folding : GameOptionsWindow
- many : OneOfManySettingDesc
- many_cnvt : OneOfManySettingDesc
- map_colour : IndustrySpec, RailTypeInfo, RoadTypeInfo
- map_height : NetworkServerGameInfo
- map_height_limit : ConstructionSettings, SmallMapWindow
- map_iter : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- map_type : SmallMapWindow
- map_width : NetworkServerGameInfo
- map_x : GameCreationSettings
- map_y : GameCreationSettings
- mappings : OverrideManagerBase
- markend : Textbuf
- marklength : Textbuf
- markpos : Textbuf
- markxoffs : Textbuf
- MASK : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >
- masked : DropDownListItem
- masked_range : BaseGraphWindow
- master : StringReader
- match : StringFilter::WordState
- match_case : SignList
- material : BridgeSpec
- matrix : WidgetDimensions
- max : IntSettingDesc
- max_age : Vehicle
- max_aircraft : VehicleSettings
- MAX_BREAK_STR_STRING_LENGTH : ScriptDebugWindow
- max_bridge_height : ConstructionSettings
- max_bridge_length : ConstructionSettings
- max_bytes : Textbuf
- max_cargoes : CargoesField
- max_chars : Textbuf
- max_clients : NetworkSettings
- max_commands_in_queue : NetworkSettings
- max_companies : NetworkSettings
- max_compression : SaveLoadFormat
- max_cost : CYapfCostRailT< Types >
- MAX_COUNT : CargoPacket
- MAX_DATE : TimerGameConst< T >
- max_download_time : NetworkSettings
- max_entities : OverrideManagerBase
- MAX_EXTRA_INFO_WIDTH : NWidgetNewGRFDisplay
- MAX_FILTER_LENGTH : IndustryDirectoryWindow
- MAX_FONT_MIN_REC_SIZE : TrueTypeFontCache
- MAX_GLYPH_DIM : TrueTypeFontCache
- max_init_time : NetworkSettings
- max_join_time : NetworkSettings
- max_lag_time : NetworkSettings
- max_length : BridgeSpec, StringSettingDesc
- MAX_LISTS : GRFTownName
- max_loan : CompanyProperties, DifficultySettings, Economy
- MAX_MINWIDTH_LINEHEIGHTS : BuildIndustryWindow
- max_money : CompanyFinancesWindow
- max_move : CargoMovement< Tsource, Tdest >, CargoRemoval< Tsource >
- max_no_competitors : DifficultySettings
- max_num_autosaves : GUISettings
- max_offset : OverrideManagerBase
- max_palette_offset : TileLayoutRegisters
- max_password_time : NetworkSettings
- MAX_PREVIEW_HEIGHT : PickerWindow
- max_range : AircraftVehicleInfo
- max_roadveh : VehicleSettings
- max_saturation : MultiCommodityFlow
- max_search_nodes : CYapfBaseT< Types >, YAPFSettings
- max_ships : VehicleSettings
- MAX_SIZE : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >
- max_speed : AircraftVehicleInfo, Order, RailTypeInfo, RailVehicleInfo, RoadTypeInfo, RoadVehicleInfo, ShipVehicleInfo
- max_sprite_offset : TileLayoutRegisters
- max_sprites : Action5Type
- max_strings : StringData
- max_train_length : VehicleSettings
- max_trains : VehicleSettings
- max_tunnel_length : ConstructionSettings
- max_value : GRFParameterInfo, ScriptConfigItem
- max_wait : IndustryTypeBuildData
- max_waiting_cargo : GoodsEntry
- max_width : TextfileWindow
- max_year : AirportSpec, Disaster, HouseSpec, SetDateWindow
- MAX_YEAR : TimerGameConst< T >
- maximum_go_to_depot_penalty : YAPFSettings
- maxprob : NamePartList
- md5sum : ContentInfo, GRFIdentifier, ScenarioIdentifier, ScriptFileChecksumCreator
- measure_tooltip : GUISettings
- medium : FontCacheSettings
- menu_text : RailTypeInfo, RoadTypeInfo
- message : ChatMessage, CommandCost, CrashLog, GRFError, NetworkError, QueryWindow, QueuedDebugItem
- message_editbox : NetworkChatWindow
- middle : AlternatingIterator< Titer >, AlternatingView< Titer >
- min : IntSettingDesc
- min_active_clients : NetworkSettings
- min_cat : SettingFilter
- min_compression : SaveLoadFormat
- MIN_DATE : TimerGameConst< T >
- MIN_ELEMENTS : FramerateWindow
- MIN_EXTRA_FOR_3_COLUMNS : NWidgetNewGRFDisplay
- MIN_GRAPH_NUM_LINES_Y : BaseGraphWindow
- MIN_GRID_PIXEL_SIZE : BaseGraphWindow
- min_length : BridgeSpec
- min_loadable_version : AIInfo, GameInfo, GRFConfig
- min_number : IndustryTypeBuildData
- min_number_of_columns : SmallMapWindow
- min_number_of_fixed_rows : SmallMapWindow
- MIN_REBALANCE_THRESHOLD : Kdtree< T, TxyFunc, CoordT, DistT >
- min_river_length : GameCreationSettings
- min_sprites : Action5Type
- MIN_TIMEOUT_DISTANCE : LinkGraph
- min_value : GRFParameterInfo, ScriptConfigItem
- min_x : NWidgetResizeBase
- min_y : NWidgetResizeBase
- min_year : AirportSpec, Disaster, HouseSpec, SetDateWindow
- MIN_YEAR : TimerGameConst< T >
- minimal_cargo : IndustrySpec
- minimum_life : HouseSpec
- MINIMUM_NAME_WIDTH_BEFORE_NEW_HEADER : NWidgetServerListHeader
- minutes_per_calendar_year : EconomySettings
- misc_flags : EngineInfo
- missing : LanguagePackHeader
- missing_strings_threshold : GUISettings
- missing_warning : MD5File
- mod_dist : DemandCalculator
- mod_road_rebuild : EconomySettings
- mod_size : SymmetricScaler
- modalpopup : WidgetDimensions
- mode : BuildTreesWindow, GenWorldInfo, LoggedChangeMode, NewGrfDebugSpritePicker, PickerCallbacks, ScriptStorage, SettingFilter, TextEffect
- mode_instance : ScriptStorage
- MODES_ALL : TarScanner
- modified : NewGRFWindow
- modified_catchment : StationSettings
- money : Cheats, CompanyProperties, NetworkCompanyInfo
- money_fraction : CompanyProperties
- mono : FontCacheSettings
- month : TimerGame< T >::YearMonthDay, TimerGameCalendar, TimerGameEconomy
- month_increment : BaseGraphWindow
- months_empty : CompanyProperties
- MONTHS_IN_YEAR : TimerGameConst< T >
- months_of_bankruptcy : CompanyProperties
- motion_counter : Vehicle
- mouse_capture_widget : Window
- moving_data : AirportFTAClass
- msg : Script_FatalError, TextEffect
- multiple_industry_per_town : EconomySettings
- multiplier : CargoSpec
- music : ClientSettings
- music_set : MusicSystem
- music_vol : MusicSettings
- mutex : HTTPThreadSafeCallback, NetworkSurveyHandler, PacketWriter
- my_client : ClientNetworkGameSocketHandler
- my_cmd : CommandPacket